import request from '@/config/axios'

export const getDepartmentItemApi = (id: string) => {
  return request.get({ url: `/oms/organization/info/${id}` })
}

export const getUserListByIdApi = (params: any) => {
  return request.get({ url: '/oms/emp/list', params })
}

export const getUserByIdApi = (id: string) => {
  return request.get({ url: `/oms/emp/info/${id}`, params })
}

export const deleteUserByIdApi = (data: any) => {
  return request.post({ url: '/oms/emp/delete', data })
}

export const saveUserApi = (data: any) => {
  return request.post({ url: '/oms/emp/save', data })
}
export const updateUserApi = (data: any) => {
  return request.post({ url: '/oms/emp/update', data })
}

export const saveDepartmentApi = (data: any) => {
  return request.post({ url: '/oms/organization/save', data })
}

export const updateDepartmentApi = (data: any) => {
  return request.post({ url: '/oms/organization/update', data })
}

export const deleteDepartmentApi = (ids: string[] | number[]) => {
  return request.post({ url: '/oms/organization/delete', data: ids })
}

export const getDepartmentTableApi = (params: any) => {
  return request.get({ url: '/oms/organization/list', params })
}
