import request from '@/config/axios'
import type { NewsTableData } from './types'

export const getTableListApi = (data: any) => {
  return request.post({ url: '/api/article/page', data })
}

export const saveTableApi = (data: Partial<NewsTableData>): Promise<IResponse> => {
  return request.post({ url: '/api/article', data })
}

export const updateTableApi = (data: Partial<NewsTableData>): Promise<IResponse> => {
  return request.put({ url: '/api/article', data })
}

export const getTableDetApi = (id: string): Promise<IResponse<NewsTableData>> => {
  return request.get({ url: `/api/article/${id}` })
}

export const delTableListApi = (id: string | number): Promise<IResponse> => {
  return request.delete({ url: `/api/article/${id}` })
}
