import request from '@/config/axios'
import type { ProductTableData } from './types'

export const getTableListApi = (data: any) => {
  return request.post({ url: '/api/product/page', data })
}

export const saveTableApi = (data: Partial<ProductTableData>): Promise<IResponse> => {
  return request.post({ url: '/api/product', data })
}

export const updateTableApi = (data: Partial<ProductTableData>): Promise<IResponse> => {
  return request.put({ url: '/api/product', data })
}

export const getTableDetApi = (id: string): Promise<IResponse<ProductTableData>> => {
  return request.get({ url: `/api/product/${id}` })
}

export const delTableListApi = (id: string | number): Promise<IResponse> => {
  return request.delete({ url: `/api/product/${id}` })
}
